<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (C) 2016 The Android Open Source Project
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License
  -->

<!--
This XML file declares which signature|privileged permissions should be granted to privileged
applications that come with the platform
-->
<permissions>
    <privapp-permissions package="android.ext.services">
        <permission name="android.permission.PROVIDE_RESOLVER_RANKER_SERVICE" />
        <permission name="android.permission.MONITOR_DEFAULT_SMS_PACKAGE" />
        <permission name="android.permission.REQUEST_NOTIFICATION_ASSISTANT_SERVICE" />
        <permission name="android.permission.INTERACT_ACROSS_USERS" />
    </privapp-permissions>

    <!-- Needed for Build.getSerial(), which is used to send a unique number for serial, per HUIG. -->
    <privapp-permissions package="android.car.usb.handler">
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.angle">
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.apps.tag">
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.backupconfirm">
        <permission name="android.permission.BACKUP"/>
        <permission name="android.permission.CRYPT_KEEPER"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.cellbroadcastreceiver.module">
        <permission name="android.permission.BROADCAST_CLOSE_SYSTEM_DIALOGS"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.MODIFY_CELL_BROADCASTS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.RECEIVE_EMERGENCY_BROADCAST"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.cellbroadcastservice">
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.RECEIVE_EMERGENCY_BROADCAST"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.externalstorage">
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.MANAGE_EXTERNAL_STORAGE"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.imsserviceentitlement">
        <permission name="android.permission.MODIFY_PHONE_STATE" />
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE" />
    </privapp-permissions>

    <privapp-permissions package="com.android.launcher3">
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.location.fused">
        <permission name="android.permission.INSTALL_LOCATION_PROVIDER"/>
        <permission name="android.permission.UPDATE_DEVICE_STATS"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
    </privapp-permissions>

    <privapp-permissions package="com.amap.android.location">
        <permission name="android.permission.INSTALL_LOCATION_PROVIDER"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.managedprovisioning">
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE"/>
        <permission name="android.permission.CHANGE_CONFIGURATION"/>
        <permission name="android.permission.CONFIGURE_INTERACT_ACROSS_PROFILES"/>
        <permission name="android.permission.CRYPT_KEEPER"/>
        <permission name="android.permission.DELETE_PACKAGES"/>
        <permission name="android.permission.INSTALL_PACKAGES"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_DEVICE_ADMINS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MASTER_CLEAR"/>
        <permission name="android.permission.NETWORK_MANAGED_PROVISIONING"/>
        <permission name="android.permission.PERFORM_CDMA_PROVISIONING"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.SET_TIME"/>
        <permission name="android.permission.SET_TIME_ZONE"/>
        <permission name="android.permission.SHUTDOWN"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="android.permission.START_FOREGROUND_SERVICES_FROM_BACKGROUND"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.mms.service">
        <permission name="android.permission.BIND_CARRIER_MESSAGING_SERVICE"/>
        <permission name="android.permission.BIND_CARRIER_SERVICES"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.mtp">
        <permission name="android.permission.ACCESS_MTP"/>
        <permission name="android.permission.MANAGE_USB"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.MANAGE_EXTERNAL_STORAGE"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.musicfx">
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.networkrecommendation">
        <permission name="android.permission.SCORE_NETWORKS"/>
        <permission name="android.permission.SUBSTITUTE_NOTIFICATION_APP_NAME"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.packageinstaller">
        <permission name="android.permission.DELETE_PACKAGES"/>
        <permission name="android.permission.INSTALL_PACKAGES"/>
        <permission name="android.permission.USE_RESERVED_DISK"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="android.permission.SUBSTITUTE_NOTIFICATION_APP_NAME"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.permissioncontroller">
        <permission name="android.permission.CLEAR_APP_CACHE"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.OBSERVE_GRANT_REVOKE_PERMISSIONS"/>
        <permission name="android.permission.GET_APP_OPS_STATS"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="android.permission.REQUEST_INCIDENT_REPORT_APPROVAL"/>
        <permission name="android.permission.APPROVE_INCIDENT_REPORTS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE" />
        <permission name="android.permission.SUBSTITUTE_NOTIFICATION_APP_NAME" />
        <permission name="android.permission.PACKAGE_USAGE_STATS" />
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE" />
        <permission name="android.permission.MODIFY_AUDIO_ROUTING" />
    </privapp-permissions>

    <privapp-permissions package="com.android.phone">
        <permission name="android.permission.ACCESS_IMS_CALL_SERVICE"/>
        <permission name="android.permission.BIND_CARRIER_MESSAGING_SERVICE"/>
        <permission name="android.permission.BIND_CARRIER_SERVICES"/>
        <permission name="android.permission.BIND_CELL_BROADCAST_SERVICE"/>
        <permission name="android.permission.BIND_IMS_SERVICE"/>
        <permission name="android.permission.BIND_TELEPHONY_DATA_SERVICE"/>
        <permission name="android.permission.BIND_VISUAL_VOICEMAIL_SERVICE"/>
        <permission name="android.permission.CALL_PRIVILEGED"/>
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE"/>
        <permission name="android.permission.CHANGE_CONFIGURATION"/>
        <permission name="android.permission.CHANGE_DEVICE_IDLE_TEMP_WHITELIST"/>
        <permission name="android.permission.CONNECTIVITY_USE_RESTRICTED_NETWORKS"/>
        <permission name="android.permission.CONTROL_INCALL_EXPERIENCE"/>
        <permission name="android.permission.DUMP"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.LOCAL_MAC_ADDRESS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MANAGE_SUBSCRIPTION_PLANS" />
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.PERFORM_CDMA_PROVISIONING"/>
        <permission name="android.permission.READ_CARRIER_APP_INFO"/>
        <permission name="android.permission.READ_NETWORK_USAGE_HISTORY"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.READ_PROJECTION_STATE"/>
        <permission name="android.permission.READ_SEARCH_INDEXABLES"/>
        <permission name="android.permission.REBOOT"/>
        <permission name="android.permission.REGISTER_CALL_PROVIDER"/>
        <permission name="android.permission.REGISTER_SIM_SUBSCRIPTION"/>
        <permission name="android.permission.REGISTER_STATS_PULL_ATOM"/>
        <permission name="android.permission.SEND_RESPOND_VIA_MESSAGE"/>
        <permission name="android.permission.SET_TIME_ZONE"/>
        <permission name="android.permission.SHUTDOWN"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.SUGGEST_TELEPHONY_TIME_AND_ZONE"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="android.permission.UPDATE_DEVICE_STATS"/>
        <permission name="android.permission.UPDATE_LOCK"/>
        <permission name="android.permission.WRITE_APN_SETTINGS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.WRITE_EMBEDDED_SUBSCRIPTIONS"/>
        <permission name="android.permission.READ_PRECISE_PHONE_STATE"/>
        <permission name="com.android.voicemail.permission.READ_VOICEMAIL"/>
        <permission name="com.android.voicemail.permission.WRITE_VOICEMAIL"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.providers.calendar">
        <permission name="android.permission.GET_ACCOUNTS_PRIVILEGED"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS" />
        <permission name="android.permission.MANAGE_USERS" />
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="android.permission.USE_RESERVED_DISK"/>
        <permission name="android.permission.LOG_COMPAT_CHANGE" />
        <permission name="android.permission.READ_COMPAT_CHANGE_CONFIG" />
    </privapp-permissions>

    <privapp-permissions package="com.android.providers.contacts">
        <permission name="android.permission.BIND_DIRECTORY_SEARCH"/>
        <permission name="android.permission.CHANGE_DEVICE_IDLE_TEMP_WHITELIST"/>
        <permission name="android.permission.GET_ACCOUNTS_PRIVILEGED"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="android.permission.USE_RESERVED_DISK"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.providers.downloads">
        <permission name="android.permission.ACCESS_CACHE_FILESYSTEM"/>
        <permission name="android.permission.CLEAR_APP_CACHE"/>
        <permission name="android.permission.CONNECTIVITY_INTERNAL"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.MANAGE_EXTERNAL_STORAGE"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="android.permission.UPDATE_DEVICE_STATS"/>
        <permission name="android.permission.CONNECTIVITY_USE_RESTRICTED_NETWORKS"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.providers.media.module">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.USE_RESERVED_DISK"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.MANAGE_EXTERNAL_STORAGE"/>
        <permission name="android.permission.WATCH_APPOPS"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="android.permission.UPDATE_DEVICE_STATS"/>
        <!-- Permissions required for reading and logging compat changes -->
        <permission name="android.permission.LOG_COMPAT_CHANGE" />
        <permission name="android.permission.READ_COMPAT_CHANGE_CONFIG" />
        <permission name="android.permission.REGISTER_STATS_PULL_ATOM" />
        <!-- Permissions required for reading DeviceConfig -->
        <permission name="android.permission.READ_DEVICE_CONFIG" />
        <permission name="android.permission.START_FOREGROUND_SERVICES_FROM_BACKGROUND"/>
        <permission name="android.permission.MODIFY_QUIET_MODE"/>
        <!-- Permissions required to check if an app is in the foreground or not during IO -->
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.providers.telephony">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.USE_RESERVED_DISK"/>
        <!-- Permissions required for reading and logging compat changes -->
        <permission name="android.permission.LOG_COMPAT_CHANGE" />
        <permission name="android.permission.READ_COMPAT_CHANGE_CONFIG" />
    </privapp-permissions>

    <privapp-permissions package="com.android.server.telecom">
        <permission name="android.permission.BIND_CONNECTION_SERVICE"/>
        <permission name="android.permission.BIND_INCALL_SERVICE"/>
        <permission name="android.permission.CALL_PRIVILEGED"/>
        <permission name="android.permission.HANDLE_CAR_MODE_CHANGES"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MANAGE_ROLE_HOLDERS"/>
        <permission name="android.permission.MODIFY_AUDIO_ROUTING" />
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.SUBSTITUTE_NOTIFICATION_APP_NAME"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.sharedstoragebackup">
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.MANAGE_EXTERNAL_STORAGE"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.shell">
        <!-- Needed for test only -->
        <permission name="android.permission.MODIFY_DAY_NIGHT_MODE"/>
        <permission name="android.permission.ACCESS_LOWPAN_STATE"/>
        <permission name="android.permission.BACKUP"/>
        <!-- Needed for test only -->
        <permission name="android.permission.BATTERY_PREDICTION"/>
        <permission name="android.permission.BATTERY_STATS"/>
        <permission name="android.permission.BIND_APPWIDGET"/>
        <permission name="android.permission.CHANGE_APP_IDLE_STATE"/>
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE"/>
        <permission name="android.permission.CHANGE_CONFIGURATION"/>
        <permission name="android.permission.CHANGE_DEVICE_IDLE_TEMP_WHITELIST" />
        <permission name="android.permission.CHANGE_LOWPAN_STATE"/>
        <permission name="android.permission.CHANGE_OVERLAY_PACKAGES"/>
        <permission name="android.permission.CLEAR_APP_CACHE"/>
        <permission name="android.permission.ACCESS_INSTANT_APPS" />
        <permission name="android.permission.CONNECTIVITY_INTERNAL"/>
        <permission name="android.permission.DELETE_CACHE_FILES"/>
        <permission name="android.permission.DELETE_PACKAGES"/>
        <permission name="android.permission.DUMP"/>
        <permission name="android.permission.CONTROL_UI_TRACING"/>
        <permission name="android.permission.ACTIVITY_EMBEDDING"/>
        <permission name="android.permission.FORCE_STOP_PACKAGES"/>
        <permission name="android.permission.GET_APP_OPS_STATS"/>
        <permission name="android.permission.WATCH_APPOPS"/>
        <permission name="android.permission.INSTALL_DYNAMIC_SYSTEM"/>
        <permission name="android.permission.INSTALL_LOCATION_PROVIDER"/>
        <permission name="android.permission.INSTALL_PACKAGES"/>
        <permission name="android.permission.INSTALL_PACKAGE_UPDATES"/>
        <!-- Needed for test only -->
        <permission name="android.permission.ACCESS_MTP"/>
        <!-- Needed for test only -->
        <permission name="android.permission.INTERACT_ACROSS_PROFILES"/>
        <!-- Permission required to test onPermissionsChangedListener -->
        <permission name="android.permission.OBSERVE_GRANT_REVOKE_PERMISSIONS"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.LOCAL_MAC_ADDRESS"/>
        <permission name="android.permission.MANAGE_ACCESSIBILITY"/>
        <permission name="android.permission.MANAGE_DEVICE_ADMINS"/>
        <permission name="android.permission.MANAGE_ROLLBACKS"/>
        <permission name="android.permission.MANAGE_USB"/>
        <permission name="android.permission.MODIFY_APPWIDGET_BIND_PERMISSIONS"/>
        <permission name="android.permission.MODIFY_DAY_NIGHT_MODE"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.MOUNT_FORMAT_FILESYSTEMS"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.MOVE_PACKAGE"/>
        <!-- Needed for test only -->
        <permission name="android.permission.RESTART_WIFI_SUBSYSTEM"/>
        <permission name="android.permission.OBSERVE_APP_USAGE"/>
        <permission name="android.permission.NETWORK_SCAN"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS" />
        <!-- Needed for test only -->
        <permission name="android.permission.PACKET_KEEPALIVE_OFFLOAD" />
        <permission name="android.permission.POWER_SAVER" />
        <permission name="android.permission.READ_CARRIER_APP_INFO"/>
        <permission name="android.permission.READ_FRAME_BUFFER"/>
        <permission name="android.permission.READ_LOWPAN_CREDENTIAL"/>
        <!-- Needed for test only -->
        <permission name="android.permission.READ_PRECISE_PHONE_STATE" />
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <!-- Permission required for UiModeManager CTS test -->
        <permission name="android.permission.READ_PROJECTION_STATE"/>
        <permission name="android.permission.READ_WIFI_CREDENTIAL"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.REGISTER_CALL_PROVIDER"/>
        <permission name="android.permission.REGISTER_CONNECTION_MANAGER"/>
        <permission name="android.permission.REGISTER_SIM_SUBSCRIPTION"/>
        <permission name="android.permission.RETRIEVE_WINDOW_CONTENT"/>
        <permission name="android.permission.SET_ALWAYS_FINISH"/>
        <permission name="android.permission.SET_ANIMATION_SCALE"/>
        <permission name="android.permission.SET_DEBUG_APP"/>
        <permission name="android.permission.SET_PROCESS_LIMIT"/>
        <permission name="android.permission.SET_TIME"/>
        <permission name="android.permission.SET_TIME_ZONE"/>
        <permission name="android.permission.SIGNAL_PERSISTENT_PROCESSES"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND" />
        <permission name="android.permission.START_FOREGROUND_SERVICES_FROM_BACKGROUND" />
        <permission name="android.permission.START_TASKS_FROM_RECENTS" />
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.SUBSTITUTE_NOTIFICATION_APP_NAME"/>
        <permission name="android.permission.SUSPEND_APPS" />
        <!-- Permission required for UiModeManager and Telecom car mode CTS tests -->
        <permission name="android.permission.TOGGLE_AUTOMOTIVE_PROJECTION" />
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="android.permission.USE_RESERVED_DISK"/>
        <permission name="android.permission.UWB_PRIVILEGED"/>
        <permission name="android.permission.WIFI_UPDATE_USABILITY_STATS_SCORE"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.MANAGE_EXTERNAL_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.STATUS_BAR_SERVICE"/>
        <permission name="android.permission.REQUEST_INCIDENT_REPORT_APPROVAL"/>
        <permission name="android.permission.CONTROL_KEYGUARD_SECURE_NOTIFICATIONS"/>
        <permission name="android.permission.SET_WALLPAPER" />
        <permission name="android.permission.SET_WALLPAPER_COMPONENT" />
        <permission name="android.permission.REQUEST_NOTIFICATION_ASSISTANT_SERVICE" />
        <!-- Permissions required for Incremental CTS tests -->
        <permission name="com.android.permission.USE_INSTALLER_V2"/>
        <permission name="android.permission.LOADER_USAGE_STATS"/>
        <!-- Permission required to test system only camera devices. -->
        <permission name="android.permission.SYSTEM_CAMERA" />
        <!-- Permission required to test ExplicitHealthCheckServiceImpl. -->
        <permission name="android.permission.BIND_EXPLICIT_HEALTH_CHECK_SERVICE"/>
        <!-- Permission required for UiModeManager CTS test. -->
        <permission name="android.permission.ENTER_CAR_MODE_PRIORITIZED"/>
        <!-- Permission required for Telecom car mode CTS tests. -->
        <permission name="android.permission.CONTROL_INCALL_EXPERIENCE"/>
        <!-- Permission required for Tethering CTS tests. -->
        <permission name="android.permission.TETHER_PRIVILEGED"/>
        <!-- Permissions required for ganting and logging -->
        <permission name="android.permission.LOG_COMPAT_CHANGE" />
        <permission name="android.permission.READ_COMPAT_CHANGE_CONFIG" />
        <permission name="android.permission.OVERRIDE_COMPAT_CHANGE_CONFIG" />
        <permission name="android.permission.OVERRIDE_COMPAT_CHANGE_CONFIG_ON_RELEASE_BUILD" />
        <!-- Permissions required to test ambient display. -->
        <permission name="android.permission.READ_DREAM_STATE" />
        <permission name="android.permission.WRITE_DREAM_STATE" />
        <!-- Permission required to test lights control APIs. -->
        <permission name="android.permission.CONTROL_DEVICE_LIGHTS" />
        <!-- Permission required for ShortcutManagerUsageTest CTS test. -->
        <permission name="android.permission.ACCESS_SHORTCUTS"/>
        <permission name="android.permission.REBOOT"/>
        <!-- Permission required for access VIBRATOR_STATE. -->
        <permission name="android.permission.ACCESS_VIBRATOR_STATE"/>
        <!-- Permission required for UsageStatsTest CTS test. -->
        <permission name="android.permission.MANAGE_NOTIFICATIONS"/>
        <!-- Permission required for CompanionDeviceManager CTS test. -->
        <permission name="android.permission.COMPANION_APPROVE_WIFI_CONNECTIONS" />
        <!-- Permission required for testing registering pull atom callbacks. -->
        <permission name="android.permission.REGISTER_STATS_PULL_ATOM"/>
        <!-- Permission required for testing system audio effect APIs. -->
        <permission name="android.permission.MODIFY_DEFAULT_AUDIO_EFFECTS"/>
        <!-- Permissions required for CTS test - TunerTest -->
        <permission name="android.permission.ACCESS_TV_DESCRAMBLER" />
        <permission name="android.permission.ACCESS_TV_TUNER" />
        <permission name="android.permission.TUNER_RESOURCE_ACCESS" />
        <!-- Permissions required for CTS test - TVInputManagerTest -->
        <permission name="android.permission.ACCESS_TUNED_INFO" />
        <permission name="android.permission.TV_INPUT_HARDWARE" />
        <permission name="com.android.providers.tv.permission.ACCESS_WATCHED_PROGRAMS" />
        <permission name="com.android.providers.tv.permission.WRITE_EPG_DATA"/>
        <!-- Permission required for CTS test - PrivilegedLocationPermissionTest -->
        <permission name="android.permission.LOCATION_HARDWARE" />
        <!-- Permissions required for GTS test - GtsDialerAudioTestCases -->
        <permission name="android.permission.CAPTURE_AUDIO_OUTPUT" />
        <!-- Permissions required for CTS test - AdbManagerTest -->
        <permission name="android.permission.MANAGE_DEBUGGING" />
        <!-- Permissions required for CTS test - TimeManagerTest -->
        <permission name="android.permission.MANAGE_TIME_AND_ZONE_DETECTION" />
        <permission name="android.permission.SUGGEST_EXTERNAL_TIME" />
        <!-- Permissions required for CTS test - android.server.biometrics -->
        <permission name="android.permission.USE_BIOMETRIC" />
        <permission name="android.permission.TEST_BIOMETRIC" />
        <!-- Permissions required for CTS test - CtsContactsProviderTestCases -->
        <permission name="android.contacts.permission.MANAGE_SIM_ACCOUNTS" />
        <!-- Permissions required for CTS test - CtsHdmiCecHostTestCases -->
        <permission name="android.permission.HDMI_CEC"/>
        <!-- Permission required for CTS test - MediaPlayerTest -->
        <permission name="android.permission.BIND_IMS_SERVICE" />
        <!-- Permission needed for CTS test - WifiManagerTest -->
        <permission name="android.permission.WIFI_ACCESS_COEX_UNSAFE_CHANNELS" />
        <permission name="android.permission.WIFI_UPDATE_COEX_UNSAFE_CHANNELS" />
        <!-- Permission required for CTS test CarrierMessagingServiceWrapperTest -->
        <permission name="android.permission.BIND_CARRIER_SERVICES"/>
        <!-- Permission required for CTS test - MusicRecognitionManagerTest -->
        <permission name="android.permission.MANAGE_MUSIC_RECOGNITION" />
        <!-- Permission required for CTS test - CallLogTest -->
        <permission name="com.android.voicemail.permission.READ_VOICEMAIL"/>
        <permission name="android.permission.BROADCAST_CLOSE_SYSTEM_DIALOGS"/>
        <permission name="android.permission.MODIFY_QUIET_MODE" />
        <!-- Permission required for GTS test - GtsAssistIntentTestCases -->
        <permission name="android.permission.MANAGE_SOUND_TRIGGER" />
        <permission name="android.permission.CAPTURE_AUDIO_HOTWORD" />
        <!-- Permission required for CTS test - CtsRebootReadinessTestCases -->
        <permission name="android.permission.SIGNAL_REBOOT_READINESS" />
        <!-- Permission required for CTS test - PeopleManagerTest -->
        <permission name="android.permission.READ_PEOPLE_DATA" />
        <!-- Permission required for CTS test - UiTranslationManagerTest -->
        <permission name="android.permission.MANAGE_UI_TRANSLATION" />
        <!-- Permission required for CTS test - ClipboardManagerTest -->
        <permission name="android.permission.SET_CLIP_SOURCE" />
        <!-- Permission required for CTS test - FontManagerTest -->
        <permission name="android.permission.UPDATE_FONTS" />
        <!-- Permission required for hotword detection service CTS tests -->
        <permission name="android.permission.MANAGE_HOTWORD_DETECTION" />
        <permission name="android.permission.BIND_HOTWORD_DETECTION_SERVICE" />
        <permission name="android.permission.MANAGE_APP_HIBERNATION"/>
        <!-- Permission required for CTS test - ResourceObserverNativeTest -->
        <permission name="android.permission.REGISTER_MEDIA_RESOURCE_OBSERVER" />
        <!-- Permission required for CTS test - CtsAlarmManagerTestCases -->
        <permission name="android.permission.SCHEDULE_PRIORITIZED_ALARM" />
        <!-- Permission required for CTS test - SystemMediaRouter2Test -->
        <permission name="android.permission.MEDIA_CONTENT_CONTROL"/>
        <!-- Permission required for CTS test - CtsPermission5TestCases -->
        <permission name="android.permission.RENOUNCE_PERMISSIONS" />
        <permission name="android.permission.WRITE_EMBEDDED_SUBSCRIPTIONS" />
        <permission name="android.permission.GET_PROCESS_STATE_AND_OOM_SCORE" />
        <permission name="android.permission.READ_LOGS" />
        <permission name="android.permission.BRIGHTNESS_SLIDER_USAGE" />
        <permission name="android.permission.ACCESS_AMBIENT_LIGHT_STATS" />
        <permission name="android.permission.CONFIGURE_DISPLAY_BRIGHTNESS" />
        <permission name="android.permission.GET_TOP_ACTIVITY_INFO" />
        <permission name="android.permission.SET_VOLUME_KEY_LONG_PRESS_LISTENER" />
        <permission name="android.permission.SET_MEDIA_KEY_LISTENER" />
        <permission name="android.permission.CONNECTIVITY_USE_RESTRICTED_NETWORKS" />
        <!-- Permission required for CTS test - CtsAlarmManagerTestCases -->
        <permission name="android.permission.UPDATE_DEVICE_STATS" />
        <!-- Permission required for GTS test - PendingSystemUpdateTest -->
        <permission name="android.permission.NOTIFY_PENDING_SYSTEM_UPDATE" />
    </privapp-permissions>

    <privapp-permissions package="com.android.statementservice">
        <permission name="android.permission.INTENT_FILTER_VERIFICATION_AGENT"/>
        <permission name="android.permission.DOMAIN_VERIFICATION_AGENT"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.traceur">
        <!-- Permissions required to receive BUGREPORT_STARTED intent -->
        <permission name="android.permission.DUMP"/>
        <!-- Permissions required to start/stop tracing -->
        <permission name="android.permission.START_FOREGROUND_SERVICES_FROM_BACKGROUND"/>
        <!-- Permissions required for quick settings tile -->
        <permission name="android.permission.STATUS_BAR"/>
        <!-- Permissions required to query Betterbug -->
        <permission name="android.permission.QUERY_ALL_PACKAGES"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.tv">
        <permission name="android.permission.CHANGE_HDMI_CEC_ACTIVE_SOURCE"/>
        <permission name="android.permission.DVB_DEVICE"/>
        <permission name="android.permission.GLOBAL_SEARCH"/>
        <permission name="android.permission.HDMI_CEC"/>
        <permission name="android.permission.MODIFY_PARENTAL_CONTROLS"/>
        <permission name="android.permission.READ_CONTENT_RATING_SYSTEMS"/>
        <permission name="com.android.providers.tv.permission.ACCESS_ALL_EPG_DATA"/>
        <permission name="com.android.providers.tv.permission.ACCESS_WATCHED_PROGRAMS"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.vpndialogs">
        <permission name="android.permission.CONTROL_VPN"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.dynsystem">
        <permission name="android.permission.REBOOT"/>
        <permission name="android.permission.MANAGE_DYNAMIC_SYSTEM"/>
        <permission name="android.permission.READ_OEM_UNLOCK_STATE"/>
    </privapp-permissions>
    <privapp-permissions package="com.android.settings">
        <permission name="android.permission.INSTALL_DYNAMIC_SYSTEM"/>
        <permission name="android.permission.BIND_CELL_BROADCAST_SERVICE"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.bips">
        <permission name="android.permission.SUBSTITUTE_SHARE_TARGET_APP_NAME_AND_ICON"/>
    </privapp-permissions>
    <privapp-permissions package="com.mediatek.omacp">
        <permission name="android.permission.READ_PHONE_STATE"/>
        <permission name="android.permission.RECEIVE_WAP_PUSH"/>
    </privapp-permissions>
    <privapp-permissions package="com.android.calllogbackup">
        <permission name="com.android.voicemail.permission.READ_VOICEMAIL"/>
    </privapp-permissions>
</permissions>
